OpenVDB 5.1.0

Public Member Functions | List of all members
OffMaskIterator< NodeMask > Class Template Reference

`#include <NodeMasks.h>`

Inherits BaseMaskIterator< NodeMask >.

## Public Member Functions
| OffMaskIterator ()
| OffMaskIterator (Index32 pos, const NodeMask *parent)
void | increment ()
void | increment (Index n)
bool | next ()
bool | operator* () const
OffMaskIterator & | operator++ ()
bool | operator== (const BaseMaskIterator &iter) const
bool | operator!= (const BaseMaskIterator &iter) const
bool | operator< (const BaseMaskIterator &iter) const
Index32 | offset () const
Index32 | pos () const
bool | test () const
| operator bool () const

## Constructor & Destructor Documentation

## ◆ OffMaskIterator() [1/2]

OffMaskIterator | ( |  | ) |
| inline

## ◆ OffMaskIterator() [2/2]

OffMaskIterator | ( | Index32 | pos,
|  | const NodeMask * | parent
| ) |  |
| inline

## Member Function Documentation

## ◆ increment() [1/2]

void increment | ( |  | ) |
| inline

## ◆ increment() [2/2]

void increment | ( | Index | n | ) |
| inline

## ◆ next()

bool next | ( |  | ) |
| inline

## ◆ offset()

Index32 offset | ( |  | ) | const
| inline inherited

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline inherited

## ◆ operator!=()

bool operator!= | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const
| inline inherited

## ◆ operator*()

bool operator* | ( |  | ) | const
| inline

## ◆ operator++()

OffMaskIterator& operator++ | ( |  | ) |
| inline

## ◆ operator<()

bool operator< | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const
| inline inherited

## ◆ operator==()

bool operator== | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const
| inline inherited

## ◆ pos()

Index32 pos | ( |  | ) | const
| inline inherited

## ◆ test()

bool test | ( |  | ) | const
| inline inherited

The documentation for this class was generated from the following file:

- NodeMasks.h